Dotclear

Vous n'êtes pas identifié(e).

Annonce

#26 2016-11-02 14:20:38

Franck
Footer de merde
Lieu : Paris
Inscription : 2004-11-09
Site Web

Re : En panne depuis la mise à jour en 2.10.3

birdy a écrit :
Franck a écrit :

Oui tu peux l'installer immédiatement, surtout qu'il y a une 2.10.4 qui corrige tout ça dans les tuyaux !

Ça ne chôme pas chez dotclear ! La 2.10.4 est passée comme une lettre à la poste. Merci une fois encore.

\o/

PS : Mauvaise nouvelle, y'aura donc pas de 2.10.5 demain :-)


Dotclear addicted since 2004

Hors ligne

#27 2016-11-02 16:25:54

fabrius
Membre
Lieu : Spa - Belgique
Inscription : 2013-03-16
Site Web

Re : En panne depuis la mise à jour en 2.10.3

Bonsoir à tous,

Tout comme VERGEZ Yves, j'ai un petit souci depuis la mise à jour 2.10.4 (j'étais en 2.10.2). Depuis que j'ai cliqué sur «je suis à un pas de finir la mise à jour», j'ai un beau :

Parse error: syntax error, unexpected T_FUNCTION, expecting ')' in /home/fabricer/www/blog2/inc/libs/clearbricks/dblayer/dblayer.php on line 615

L'adresse de mon blog : https://blog.fabrice-raymond.be/
Php : 5.6.21
Mysql : 5.1.73

Si ça peu aider : Phpinfo.php => https://www.fabrice-raymond.be/phpinfo.php

-------

J'ai donc (comme le suggère Frank), créé un fichier .htaccess à la racine de mon blog avec ceci dedans :

SetEnv PHP_VER 7

Depuis, j'ai ces erreurs ci :

Warning: Parameter 1 to dcScrobblerBehavior::initWidgets() expected to be a reference, value given in /home/fabricer/www/blog2/inc/core/class.dc.core.php on line 399

Warning: Cannot modify header information - headers already sent by (output started at /home/fabricer/www/blog2/inc/core/class.dc.core.php:399) in /home/fabricer/www/blog2/inc/libs/clearbricks/common/lib.http.php on line 280

Warning: Cannot modify header information - headers already sent by (output started at /home/fabricer/www/blog2/inc/core/class.dc.core.php:399) in /home/fabricer/www/blog2/inc/libs/clearbricks/common/lib.http.php on line 282

Warning: Cannot modify header information - headers already sent by (output started at /home/fabricer/www/blog2/inc/core/class.dc.core.php:399) in /home/fabricer/www/blog2/inc/public/lib.urlhandlers.php on line 111

Warning: Cannot modify header information - headers already sent by (output started at /home/fabricer/www/blog2/inc/core/class.dc.core.php:399) in /home/fabricer/www/blog2/inc/public/lib.urlhandlers.php on line 118

Warning: Cannot modify header information - headers already sent by (output started at /home/fabricer/www/blog2/inc/core/class.dc.core.php:399) in /home/fabricer/www/blog2/inc/libs/clearbricks/common/lib.http.php on line 305

Merci d'avance pour votre aide ! :-)

Hors ligne

#28 2016-11-02 17:08:59

Franck
Footer de merde
Lieu : Paris
Inscription : 2004-11-09
Site Web

Re : En panne depuis la mise à jour en 2.10.3

Il y a a minima un léger problème avec un plugin dcScrobbler (ou quelque chose d'approchant).


Dotclear addicted since 2004

Hors ligne

#29 2016-11-02 17:25:52

fabrius
Membre
Lieu : Spa - Belgique
Inscription : 2013-03-16
Site Web

Re : En panne depuis la mise à jour en 2.10.3

Franck a écrit :

Il y a a minima un léger problème avec un plugin dcScrobbler (ou quelque chose d'approchant).

Ha, oui ! De faite ! Je le dé-active et ça refonctionne !
(Pourquoi n'y ai-je pas penser tout seul !) :-/

Merci Frank ! :-)

Hors ligne

#30 2016-11-04 16:05:13

asphalte
Membre
Inscription : 2016-11-04

Re : En panne depuis la mise à jour en 2.10.3

Bonjour,

Même problème que pour Yves et Fabrius :

 Parse error: syntax error, unexpected T_FUNCTION, expecting ')' in /srv/d_ASPHALTE/www/www.asphalte-editions.com/htdocs/blog/inc/libs/clearbricks/dblayer/dblayer.php on line 615

PHP Version 5.2.3

J'ai bien saisi que la version de PHP était obsolète. La solution du fichier .htaccess ne fonctionne pas pour moi.
Comme l'a fait Yves, j'aimerais retourner à la version 2.10.2 pour que le blog soit accessible en attendant de mettre à jour PHP.
Mais comment faire, puisque je ne peux pas accéder au tableau de bord ?

Hors ligne

#31 2016-11-04 19:07:04

Franck
Footer de merde
Lieu : Paris
Inscription : 2004-11-09
Site Web

Re : En panne depuis la mise à jour en 2.10.3

asphalte a écrit :

Bonjour,

Même problème que pour Yves et Fabrius :

 Parse error: syntax error, unexpected T_FUNCTION, expecting ')' in /srv/d_ASPHALTE/www/www.asphalte-editions.com/htdocs/blog/inc/libs/clearbricks/dblayer/dblayer.php on line 615

PHP Version 5.2.3

J'ai bien saisi que la version de PHP était obsolète. La solution du fichier .htaccess ne fonctionne pas pour moi.
Comme l'a fait Yves, j'aimerais retourner à la version 2.10.2 pour que le blog soit accessible en attendant de mettre à jour PHP.
Mais comment faire, puisque je ne peux pas accéder au tableau de bord ?

Récupérer la version 2.10.2 dans le grenier → https://download.dotclear.org/attic/
Puis ensuite faire une mise à jour manuelle avec celle-ci → https://fr.dotclear.org/documentation/2 … -programme


Dotclear addicted since 2004

Hors ligne

#32 2016-11-07 11:41:38

asphalte
Membre
Inscription : 2016-11-04

Re : En panne depuis la mise à jour en 2.10.3

Merci beaucoup Franck.

Hors ligne

#33 2016-11-12 10:25:55

lynxxe
Membre
Lieu : Normandie
Inscription : 2011-06-17
Site Web

Re : En panne depuis la mise à jour en 2.10.3

Bonjour,
Avant de me lancer dans la mise à jour, je voudrais vérifier si j'utilise ou pas Postgress et quelle version. Pouvez-vous me dire où trouver cette information ?
Je suis chez OVH.
Serveur Apache. Version PHP 5.5.38. Version DC 2.10.2
Merci.

Hors ligne

#34 2016-11-12 13:12:10

Franck
Footer de merde
Lieu : Paris
Inscription : 2004-11-09
Site Web

Re : En panne depuis la mise à jour en 2.10.3

lynxxe a écrit :

Bonjour,
Avant de me lancer dans la mise à jour, je voudrais vérifier si j'utilise ou pas Postgress et quelle version. Pouvez-vous me dire où trouver cette information ?
Je suis chez OVH.
Serveur Apache. Version PHP 5.5.38. Version DC 2.10.2
Merci.

Il suffit d'aller voir le contenu du fichier inc/config.php, et trouver la ligne ressemblant à define('DC_DBDRIVER','mysqli');


Dotclear addicted since 2004

Hors ligne

Vous n'êtes pas identifié(e).

Pied de page des forums

Sites map